EJBQLConstants (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.ejbql.parser, interface: EJBQLConstants

# Interface EJBQLConstants

All Known Implementing Classes:
  `EJBQL, EJBQLTokenManager`

public interface EJBQLConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ABS`
  RegularExpression Id.
  `static final int`
  `ALL`
  RegularExpression Id.
  `static final int`
  `AND`
  RegularExpression Id.
  `static final int`
  `ANY`
  RegularExpression Id.
  `static final int`
  `AS`
  RegularExpression Id.
  `static final int`
  `ASC`
  RegularExpression Id.
  `static final int`
  `AVG`
  RegularExpression Id.
  `static final int`
  `BETWEEN`
  RegularExpression Id.
  `static final int`
  `BOOLEAN_LITERAL`
  RegularExpression Id.
  `static final int`
  `BOTH`
  RegularExpression Id.
  `static final int`
  `BY`
  RegularExpression Id.
  `static final int`
  `CHARACTER_LITERAL`
  RegularExpression Id.
  `static final int`
  `COMMA`
  RegularExpression Id.
  `static final int`
  `CONCAT`
  RegularExpression Id.
  `static final int`
  `COUNT`
  RegularExpression Id.
  `static final int`
  `CURRENT_DATE`
  RegularExpression Id.
  `static final int`
  `CURRENT_TIME`
  RegularExpression Id.
  `static final int`
  `CURRENT_TIMESTAMP`
  RegularExpression Id.
  `static final int`
  `DECIMAL_LITERAL`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `DELETE`
  RegularExpression Id.
  `static final int`
  `DESC`
  RegularExpression Id.
  `static final int`
  `DIGIT`
  RegularExpression Id.
  `static final int`
  `DISTINCT`
  RegularExpression Id.
  `static final int`
  `DIV`
  RegularExpression Id.
  `static final int`
  `DOT`
  RegularExpression Id.
  `static final int`
  `EMPTY`
  RegularExpression Id.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `EQ`
  RegularExpression Id.
  `static final int`
  `ESCAPE`
  RegularExpression Id.
  `static final int`
  `EXISTS`
  RegularExpression Id.
  `static final int`
  `EXPONENT`
  RegularExpression Id.
  `static final int`
  `FETCH`
  RegularExpression Id.
  `static final int`
  `FROM`
  RegularExpression Id.
  `static final int`
  `GE`
  RegularExpression Id.
  `static final int`
  `GROUP`
  RegularExpression Id.
  `static final int`
  `GT`
  RegularExpression Id.
  `static final int`
  `HAVING`
  RegularExpression Id.
  `static final int`
  `IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `IN`
  RegularExpression Id.
  `static final int`
  `INNER`
  RegularExpression Id.
  `static final int`
  `INTEGER_LITERAL`
  RegularExpression Id.
  `static final int`
  `IS`
  RegularExpression Id.
  `static final int`
  `JOIN`
  RegularExpression Id.
  `static final int`
  `LE`
  RegularExpression Id.
  `static final int`
  `LEADING`
  RegularExpression Id.
  `static final int`
  `LEFT`
  RegularExpression Id.
  `static final int`
  `LENGTH`
  RegularExpression Id.
  `static final int`
  `LETTER`
  RegularExpression Id.
  `static final int`
  `LIKE`
  RegularExpression Id.
  `static final int`
  `LOCATE`
  RegularExpression Id.
  `static final int`
  `LOWER`
  RegularExpression Id.
  `static final int`
  `LT`
  RegularExpression Id.
  `static final int`
  `MAX`
  RegularExpression Id.
  `static final int`
  `MEMBER`
  RegularExpression Id.
  `static final int`
  `MIN`
  RegularExpression Id.
  `static final int`
  `MINUS`
  RegularExpression Id.
  `static final int`
  `MOD`
  RegularExpression Id.
  `static final int`
  `NE`
  RegularExpression Id.
  `static final int`
  `NEW`
  RegularExpression Id.
  `static final int`
  `NOT`
  RegularExpression Id.
  `static final int`
  `NULL`
  RegularExpression Id.
  `static final int`
  `OBJECT`
  RegularExpression Id.
  `static final int`
  `OF`
  RegularExpression Id.
  `static final int`
  `OR`
  RegularExpression Id.
  `static final int`
  `ORDER`
  RegularExpression Id.
  `static final int`
  `OUTER`
  RegularExpression Id.
  `static final int`
  `PLUS`
  RegularExpression Id.
  `static final int`
  `SELECT`
  RegularExpression Id.
  `static final int`
  `SET`
  RegularExpression Id.
  `static final int`
  `SIZE`
  RegularExpression Id.
  `static final int`
  `SOME`
  RegularExpression Id.
  `static final int`
  `SQRT`
  RegularExpression Id.
  `static final int`
  `STRING_LITERAL`
  RegularExpression Id.
  `static final int`
  `SUBSTRING`
  RegularExpression Id.
  `static final int`
  `SUM`
  RegularExpression Id.
  `static final int`
  `TIMES`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.
  `static final int`
  `TRAILING`
  RegularExpression Id.
  `static final int`
  `TRIM`
  RegularExpression Id.
  `static final int`
  `UPDATE`
  RegularExpression Id.
  `static final int`
  `UPPER`
  RegularExpression Id.
  `static final int`
  `WHERE`
  RegularExpression Id.

- ## Field Details

  - ### EOF

    static final int EOF
    End of File.
    See Also:
      - Constant Field Values

  - ### COMMA

    static final int COMMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOT

    static final int DOT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EQ

    static final int EQ
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NE

    static final int NE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GT

    static final int GT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GE

    static final int GE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LT

    static final int LT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LE

    static final int LE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PLUS

    static final int PLUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MINUS

    static final int MINUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TIMES

    static final int TIMES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DIV

    static final int DIV
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NEW

    static final int NEW
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ALL

    static final int ALL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ANY

    static final int ANY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXISTS

    static final int EXISTS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SOME

    static final int SOME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EMPTY

    static final int EMPTY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ASC

    static final int ASC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DESC

    static final int DESC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ORDER

    static final int ORDER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BY

    static final int BY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IS

    static final int IS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MEMBER

    static final int MEMBER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OF

    static final int OF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LIKE

    static final int LIKE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ESCAPE

    static final int ESCAPE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BETWEEN

    static final int BETWEEN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NULL

    static final int NULL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AVG

    static final int AVG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MIN

    static final int MIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MAX

    static final int MAX
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SUM

    static final int SUM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COUNT

    static final int COUNT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OR

    static final int OR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AND

    static final int AND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOT

    static final int NOT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONCAT

    static final int CONCAT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SUBSTRING

    static final int SUBSTRING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRIM

    static final int TRIM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LOWER

    static final int LOWER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UPPER

    static final int UPPER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LEADING

    static final int LEADING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRAILING

    static final int TRAILING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BOTH

    static final int BOTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LENGTH

    static final int LENGTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LOCATE

    static final int LOCATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ABS

    static final int ABS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQRT

    static final int SQRT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MOD

    static final int MOD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SIZE

    static final int SIZE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_DATE

    static final int CURRENT_DATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_TIME

    static final int CURRENT_TIME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_TIMESTAMP

    static final int CURRENT_TIMESTAMP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SELECT

    static final int SELECT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DISTINCT

    static final int DISTINCT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FROM

    static final int FROM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UPDATE

    static final int UPDATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DELETE

    static final int DELETE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WHERE

    static final int WHERE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GROUP

    static final int GROUP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HAVING

    static final int HAVING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AS

    static final int AS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LEFT

    static final int LEFT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OUTER

    static final int OUTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INNER

    static final int INNER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### JOIN

    static final int JOIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FETCH

    static final int FETCH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IN

    static final int IN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SET

    static final int SET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OBJECT

    static final int OBJECT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INTEGER_LITERAL

    static final int INTEGER_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DECIMAL_LITERAL

    static final int DECIMAL_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BOOLEAN_LITERAL

    static final int BOOLEAN_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXPONENT

    static final int EXPONENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STRING_LITERAL

    static final int STRING_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHARACTER_LITERAL

    static final int CHARACTER_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IDENTIFIER

    static final int IDENTIFIER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LETTER

    static final int LETTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DIGIT

    static final int DIGIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final int DEFAULT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### tokenImage

    static final String[] tokenImage
    Literal token values.